include('Axioms/MZR/MZI000^1.ax').
include('Axioms/MZR/MZI001^1.ax').
include('Axioms/MZR/MZI002^1.ax').
include('Axioms/MZR/MZI003^1.ax').
include('Axioms/MZR/MZI004^1.ax').
include('Axioms/MZR/MZI005^1.ax').
include('Axioms/MZR/MZI006^1.ax').
thf(d4_prepower, axiom,  (! [A: $i] :  ( (v1_xreal_0 @ A)  =>  (! [B: $i] :  ( (v1_rat_1 @ B)  =>  ( (= @  ( (k6_prepower @ A)  @ B) )  @  ( (k2_prepower @  (k1_rat_1 @ B) )  @  ( (k4_prepower @ A)  @  (k2_rat_1 @ B) ) ) ) ) ) ) ) , file(prepower, d4_prepower)).
thf(dt_k2_prepower, axiom,  (! [A: $i, B: $i] :  ( ( (v7_ordinal1 @ A)  &  (v1_xreal_0 @ B) )  =>  (v1_xreal_0 @  ( (k2_prepower @ A)  @ B) ) ) ) , file(prepower, k2_prepower)).
thf(dt_k4_prepower, axiom, $true, file(prepower, k4_prepower)).
thf(dt_k6_prepower, axiom, $true, file(prepower, k6_prepower)).
thf(dt_k7_prepower, axiom,  (! [A: $i, B: $i] :  ( ( ( (m1_subset_1 @ A)  @ k1_numbers)  &  (v1_rat_1 @ B) )  =>  ( (m1_subset_1 @  ( (k7_prepower @ A)  @ B) )  @ k1_numbers) ) ) , file(prepower, k7_prepower)).
thf(fc1_prepower, axiom,  (! [A: $i] :  ( (v1_int_1 @ A)  =>  ( (v7_ordinal1 @  (k16_complex1 @ A) )  &  (v1_xreal_0 @  (k16_complex1 @ A) ) ) ) ) , file(prepower, fc1_prepower)).
thf(fc2_prepower, axiom,  (! [A: $i, B: $i] :  ( ( (v1_xreal_0 @ A)  &  (v1_int_1 @ B) )  =>  (v1_xreal_0 @  ( (k4_prepower @ A)  @ B) ) ) ) , file(prepower, fc2_prepower)).
thf(fc3_prepower, axiom,  (! [A: $i, B: $i] :  ( ( (v1_xreal_0 @ A)  &  (v1_rat_1 @ B) )  =>  (v1_xreal_0 @  ( (k6_prepower @ A)  @ B) ) ) ) , file(prepower, fc3_prepower)).
thf(l105_prepower, axiom,  (! [A: $i] :  ( (v1_rat_1 @ A)  =>  (! [B: $i] :  ( ( (v1_funct_1 @ B)  &  ( ( ( (v1_funct_2 @ B)  @ k5_numbers)  @ k1_numbers)  &  ( (m1_subset_1 @ B)  @  (k1_zfmisc_1 @  ( (k2_zfmisc_1 @ k5_numbers)  @ k1_numbers) ) ) ) )  =>  (! [C: $i] :  ( ( (v1_funct_1 @ C)  &  ( ( ( (v1_funct_2 @ C)  @ k5_numbers)  @ k1_numbers)  &  ( (m1_subset_1 @ C)  @  (k1_zfmisc_1 @  ( (k2_zfmisc_1 @ k5_numbers)  @ k1_numbers) ) ) ) )  =>  ( ( (v2_comseq_2 @ B)  &  ( (v2_comseq_2 @ C)  &  ( ( (r1_xxreal_0 @ k6_numbers)  @ A)  &  (! [D: $i] :  ( ( ( (m2_subset_1 @ D)  @ k1_numbers)  @ k5_numbers)  =>  ( ~ ( ( (r1_xxreal_0 @  ( (k1_seq_1 @ B)  @ D) )  @ k6_numbers) )  &  ( (= @  ( (k1_seq_1 @ C)  @ D) )  @  ( (k7_prepower @  ( (k1_seq_1 @ B)  @ D) )  @ A) ) ) ) ) ) ) )  =>  ( ( (r1_xxreal_0 @  (k2_seq_2 @ B) )  @ k6_numbers)  |  ( (= @  (k2_seq_2 @ C) )  @  ( (k7_prepower @  (k2_seq_2 @ B) )  @ A) ) ) ) ) ) ) ) ) ) , file(prepower, l105_prepower)).
thf(rc1_prepower, axiom,  (? [A: $i] :  ( ( (m1_subset_1 @ A)  @  (k1_zfmisc_1 @  ( (k2_zfmisc_1 @ k5_numbers)  @ k1_numbers) ) )  &  ( (v1_relat_1 @ A)  &  ( ( (v4_relat_1 @ A)  @ k5_numbers)  &  ( ( (v5_relat_1 @ A)  @ k1_numbers)  &  ( ( (v5_relat_1 @ A)  @ k3_numbers)  &  ( (v1_funct_1 @ A)  &  ( ~ ( (v1_xboole_0 @ A) )  &  ( ( (v1_partfun1 @ A)  @ k5_numbers)  &  ( ( ( (v1_funct_2 @ A)  @ k5_numbers)  @ k1_numbers)  &  ( (v1_valued_0 @ A)  &  ( (v2_valued_0 @ A)  &  (v3_valued_0 @ A) ) ) ) ) ) ) ) ) ) ) ) ) , file(prepower, rc1_prepower)).
thf(redefinition_k7_prepower, axiom,  (! [A: $i, B: $i] :  ( ( ( (m1_subset_1 @ A)  @ k1_numbers)  &  (v1_rat_1 @ B) )  =>  ( (= @  ( (k7_prepower @ A)  @ B) )  @  ( (k6_prepower @ A)  @ B) ) ) ) , file(prepower, k7_prepower)).
thf(t52_prepower, axiom,  (! [A: $i] :  ( (v1_xreal_0 @ A)  =>  (! [B: $i] :  ( (v1_rat_1 @ B)  =>  ~ ( ( ~ ( ( (r1_xxreal_0 @ A)  @ k6_numbers) )  &  ( (r1_xxreal_0 @  ( (k6_prepower @ A)  @ B) )  @ k6_numbers) ) ) ) ) ) ) , file(prepower, t52_prepower)).
thf(t54_prepower, axiom,  (! [A: $i] :  ( (v1_xreal_0 @ A)  =>  (! [B: $i] :  ( (v1_rat_1 @ B)  =>  ( ~ ( ( (r1_xxreal_0 @ A)  @ k6_numbers) )  =>  ( (= @  ( (k10_real_1 @ np__1)  @  ( (k6_prepower @ A)  @ B) ) )  @  ( (k6_prepower @ A)  @  (k4_xcmplx_0 @ B) ) ) ) ) ) ) ) , file(prepower, t54_prepower)).
thf(t58_prepower, axiom,  (! [A: $i] :  ( (v1_xreal_0 @ A)  =>  (! [B: $i] :  ( (v1_xreal_0 @ B)  =>  (! [C: $i] :  ( (v1_rat_1 @ C)  =>  ~ ( ( ~ ( ( (r1_xxreal_0 @ A)  @ k6_numbers) )  &  ( ~ ( ( (r1_xxreal_0 @ B)  @ k6_numbers) )  &  ~ ( ( (= @  ( (k6_prepower @  ( (k13_complex1 @ A)  @ B) )  @ C) )  @  ( (k13_complex1 @  ( (k6_prepower @ A)  @ C) )  @  ( (k6_prepower @ B)  @ C) ) ) ) ) ) ) ) ) ) ) ) ) , file(prepower, t58_prepower)).
thf(t61_prepower, axiom,  (! [A: $i] :  ( (v1_xreal_0 @ A)  =>  (! [B: $i] :  ( (v1_rat_1 @ B)  =>  ( ( ( (r1_xxreal_0 @ np__1)  @ A)  &  ( (r1_xxreal_0 @ B)  @ k6_numbers) )  =>  ( (r1_xxreal_0 @  ( (k6_prepower @ A)  @ B) )  @ np__1) ) ) ) ) ) , file(prepower, t61_prepower)).
thf(t89_prepower, conjecture,  (! [A: $i] :  ( (v1_rat_1 @ A)  =>  (! [B: $i] :  ( ( (v1_funct_1 @ B)  &  ( ( ( (v1_funct_2 @ B)  @ k5_numbers)  @ k1_numbers)  &  ( (m1_subset_1 @ B)  @  (k1_zfmisc_1 @  ( (k2_zfmisc_1 @ k5_numbers)  @ k1_numbers) ) ) ) )  =>  (! [C: $i] :  ( ( (v1_funct_1 @ C)  &  ( ( ( (v1_funct_2 @ C)  @ k5_numbers)  @ k1_numbers)  &  ( (m1_subset_1 @ C)  @  (k1_zfmisc_1 @  ( (k2_zfmisc_1 @ k5_numbers)  @ k1_numbers) ) ) ) )  =>  ( ( (v2_comseq_2 @ B)  &  ( (v2_comseq_2 @ C)  &  (! [D: $i] :  ( ( ( (m2_subset_1 @ D)  @ k1_numbers)  @ k5_numbers)  =>  ( ~ ( ( (r1_xxreal_0 @  ( (k1_seq_1 @ B)  @ D) )  @ k6_numbers) )  &  ( (= @  ( (k1_seq_1 @ C)  @ D) )  @  ( (k7_prepower @  ( (k1_seq_1 @ B)  @ D) )  @ A) ) ) ) ) ) )  =>  ( ( (r1_xxreal_0 @  (k2_seq_2 @ B) )  @ k6_numbers)  |  ( (= @  (k2_seq_2 @ C) )  @  ( (k7_prepower @  (k2_seq_2 @ B) )  @ A) ) ) ) ) ) ) ) ) ) , file(prepower, t89_prepower)).
